%global momorel 2

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           python-TestGears
Version:        0.2
Release:        %{momorel}m%{?dist}
Summary:        Unit testing for Python

Group:          Development/Languages
License:        MIT/X
URL:            http://www.turbogears.org/testgears/
Source0:        http://www.turbogears.org/download/eggs/TestGears-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildArch:      noarch
BuildRequires:  python-devel python-setuptools

%description
TestGears provides automatic discovery of unittest.TestCases and the ability
to run tests that are written as simple functions. It generates a standard
unittest.TestSuite for use with any of the standard frontends, and provides
a distutils command to run tests with zero configuration.

%prep
%setup -q -n TestGears-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
echo "TestGears-%{version}-py%{pyver}.egg-info" > %{buildroot}%{python_sitelib}/TestGears.pth

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc docs LICENSE.txt TODO.txt
%{python_sitelib}/*

%changelog
* Sun Jun 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-2m)
- modify %%files

* Sun Jun 17 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.2-1m)
- import from Fedora

* Sun Dec 10 2006 Luke Macken <lmacken@redhat.com> 0.2-4
- Rebuld for python 2.5

* Sun Sep 10 2006 Luke Macken <lmacken@redhat.com> 0.2-3
- Fix module inclusion, and use consistent buildroots

* Sun Sep 10 2006 Luke Macken <lmacken@redhat.com> 0.2-2
- Rebuild for FC6

* Sat Dec 24 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.2-1
- Initial RPM release
